Child Address List Payment Orders
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/deposit/fiat/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/deposit/fiat/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/deposit/fiat/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Successful",
"data": [
{
"id": "80ea45ab-38b9-4506-b213-52da8bc7e825",
"type": "deposit",
"rail": "one_time_virtual_account",
"reference": "dep_20260719_001",
"providerReference": "provider_order_839201",
"transactionId": null,
"status": "pending",
"currency": "NGN",
"amount": "100.00",
"amountFiat": "155000.00",
"feeFiat": "1500.00",
"amountFiatPayable": "156500.00",
"amountFiatReceived": null,
"amountSettled": null,
"expiresAt": "2026-07-19T13:00:00.000Z",
"paymentInstructions": {
"type": "one_time_virtual_account",
"bank": {
"name": "Example Bank",
"code": "999",
"accountName": "Blockradar / Acme Ltd",
"accountNumber": "0123456789"
},
"paymentLink": null,
"qrCode": null,
"expiresAt": "2026-07-19T13:00:00.000Z",
"metadata": null
},
"metadata": {
"checkoutId": "checkout_123"
},
"provider": {
"id": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"slug": "example-provider",
"name": "Example Provider"
},
"wallet": {
"id": "4465468a-3c36-4536-918a-91d689e18a74",
"address": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a"
},
"address": null,
"asset": {
"id": "ae455f23-3824-4125-baab-d158315cbcbd",
"symbol": "USDC",
"name": "USD Coin"
},
"customer": {
"id": "18d2f159-e0cd-4a45-b735-e9dfe0f7520a"
},
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
],
"meta": {
"total": 1,
"page": 1,
"limit": 10,
"pageCount": 1,
"hasPreviousPage": false,
"hasNextPage": false
},
"links": {
"first": "https://api.blockradar.co/v1/wallets/4465468a-3c36-4536-918a-91d689e18a74/deposit/fiat/orders?page=1&limit=10",
"previous": null,
"next": null,
"last": "https://api.blockradar.co/v1/wallets/4465468a-3c36-4536-918a-91d689e18a74/deposit/fiat/orders?page=1&limit=10"
},
"analytics": {
"totalOrdersCount": 1,
"totalPendingOrdersCount": 1,
"totalPaidOrdersCount": 0,
"totalProcessingOrdersCount": 0,
"totalExpiredOrdersCount": 0,
"totalFailedOrdersCount": 0,
"totalCancelledOrdersCount": 0
}
}Deposit Fiat
List Child Address Payment Orders
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
deposit
/
fiat
/
orders
Child Address List Payment Orders
Authorizations
Path Parameters
Wallet identifier.
Child address identifier.
Query Parameters
Filter by payment-order status. Current payment-order lifecycle status.
Available options:
pending, paid, processing, expired, failed, cancelled Payment collection rail. Supported fiat collection rail.
Available options:
one_time_virtual_account, payment_link, qr_code ISO 4217 fiat currency code.
Required string length:
3Stablecoin asset identifier returned by the supported-assets endpoint.
Search by reference, label, account name, or account number.
Inclusive ISO 8601 start date. Required only when endDate is supplied.
Inclusive ISO 8601 end date. Required only when startDate is supplied.
Response
200 - application/json
Successful response.
⌘I

